<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserBankCardsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userBankCardsResultMap" type="org.springblade.modules.platform.entity.UserBankCards">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="name" property="name"/>
        <result column="mobile" property="mobile"/>
        <result column="card_code" property="cardCode"/>
        <result column="back_no" property="backNo"/>
        <result column="sort" property="sort"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectUserBankCardsPage" resultMap="userBankCardsResultMap">
        select * from t_user_bank_cards where is_deleted = 0
    </select>

</mapper>
